### Function

# RB signal_accumulator_value_array

#### Declaration [src]

    gboolean
    rb_signal_accumulator_value_array (
      GSignalInvocationHint* hint,
      GValue* return_accu,
      const GValue* handler_return,
      gpointer dummy
    )

#### Description [src]

A `GSignalAccumulator` used to combine all returned values into a `GArray` of `GValue` instances.

This function is not directly available to language bindings.

#### Parameters

`hint`

  Type: `GSignalInvocationHint`

  A `GSignalInvocationHint`.

  The data is owned by the caller of the function.

`return_accu`

  Type: `GValue`

  Holds the accumulated return value.

  The data is owned by the caller of the function.

`handler_return`

  Type: `GValue`

  Holds the return value to be accumulated.

  The data is owned by the caller of the function.

`dummy`

  Type: `gpointer`

  User data (unused).

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`FALSE` to abort signal emission, `TRUE` to continue.